#
#       Makefile for vialib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vialib
LIBFSRCS	= vifna.f vifna0.f vifna1.f viinc.f viinc0.f viinc1.f \
		  vifct.f vifct0.f vifct1.f vicon.f vicon0.f vicon1.f \
		  viset.f iadd.f iadd0.f iadd1.f imlt.f imlt0.f imlt1.f \
		  iset.f iset0.f iset1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vifna.o vifna0.o vifna1.o viinc.o viinc0.o viinc1.o \
		  vifct.o vifct0.o vifct1.o vicon.o vicon0.o vicon1.o \
		  viset.o iadd.o iadd0.o iadd1.o imlt.o imlt0.o imlt1.o \
		  iset.o iset0.o iset1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
